LINUX.ORG.RU

проблема с linux-headers

 ,


0

1

Привет сообществу! Столкнулся с проблеммой обновления linux-headers-4.14.0-kali3-amd64 и не могу продолжить установку видеодрайверов из за этого. Вывод после команды apt-get install linux-headers-$(uname -r) таков:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package linux-headers-4.14.0-kali3-amd64 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-headers-4.14.0-kali3-amd64' has no installation candidate

Система:

root@kali:~# uname -a
Linux kali 4.14.0-kali3-amd64 #1 SMP Debian 4.14.17-1kali1 (2018-02-16) x86_64 GNU/Linux

Есть мысли по решение этой задачи, ребята?


A na koy xep tebe video na kali? :)

anonymous ()

apt update сделал? Если да то, значит в соурс листе проблемы.

anonymous ()

Посомтри какая версия ядра ясть в репозитории, установи её, а затем установи linux-headers под него.

kostik87 ★★★★★ ()

Вот он - дебиан во всей красе!

kshmr ()
Ответ на: комментарий от kostik87

Вот в этом то все и дело что версия ядра у меня последняя:

root@kali:~# uname -a
Linux kali 4.14.0-kali3-amd64 #1 SMP Debian 4.14.17-1kali1 (2018-02-16) x86_64 GNU/Linux
А самое поразительное что в официальном репозитории доступен пакет:
linux-headers-4.15.0-kali2-cloud-amd64
для ядра которого ещё нет.

VitoZ ()
Ответ на: комментарий от Infra_HDC

Все делали дорогой.

sudo apt-get update && sudo apt-get dist-upgrade -y
и ничего не помогает

VitoZ ()
Ответ на: комментарий от VitoZ

Покажи вывод apt list linux-headers*, возможно так префиксы есть.

Столкнулся с проблеммой обновления linux-headers-4.14.0-kali3-amd64 и не могу продолжить установку видеодрайверов из за этого

Ты имеешь ввиду, что linux-headers у тебя уже стоит, но не хочет обновлятся?

anonymous ()
Ответ на: комментарий от kshmr

естественно дебиан виноват - а не говноподелия рукожопых калийщиков...

amd_amd ★★ ()
Ответ на: комментарий от VitoZ

версия ядра у меня последняя

4.14.0-kali3-amd64

нет таких версий - дурацкие названия во время компиляции можно разные придумать...

amd_amd ★★ ()
Ответ на: комментарий от amd_amd

нет таких версий - дурацкие названия во время компиляции можно разные придумать...

Откуда такая ненависть к Kali? Узкоспециализированная вещь и все тут

VitoZ ()
Ответ на: комментарий от anonymous
root@kali:~# apt list linux-headers*
Listing... Done
linux-headers-4.15.0-kali2-all/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-all-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-amd64/kali-rolling,now 4.15.11-1kali1 amd64 [installed]
linux-headers-4.15.0-kali2-cloud-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-common/kali-rolling,now 4.15.11-1kali1 all [installed,automatic]
linux-headers-amd64/kali-rolling 4.14+89+kali1 amd64
linux-headers-rt-amd64/kali-rolling 4.14+89+kali1 amd64

Cразу оговорюсь - заголовки 4.15.11 установил сам. По незнанию думал они сгодятся. Но они не сгодятся ((

VitoZ ()
Ответ на: комментарий от anonymous
root@kali:~# dpkg-query -s linux-headers-$(uname -r)
dpkg-query: package 'linux-headers-4.14.0-kali3-amd64' is not installed and no information is available
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.

Как видим никакие не установлены

VitoZ ()
Ответ на: комментарий от VitoZ

Выходит у тебя ядро Linux kali 4.14.0-kali3-amd64, а headers 4.15.0-kali2. После обновления перезагружался? Если да, то видимо какие-то проблемы с репами. Попробуй нагуглить sources.list для kail и сравнить со своим.

anonymous ()
Ответ на: комментарий от VitoZ

нет никакой специализации - очередное поделие на базе дебиана дескридитирующая его своей рукожопостью порождает такие выперлы

Вот он - дебиан во всей красе!

нет что б взять годный родной дебиан и на основе базовой части собрать из репы узкоспециализированное для себя любимого, зачем - берем готовую залипуху и хаем дебиан

amd_amd ★★ ()
Ответ на: комментарий от anonymous

Покажи еще apt list linux* (или apt list kernel*), посмотрим, установелено ли у тебя ядро 4.15.

anonymous ()
Ответ на: комментарий от VitoZ

Как ты определил, что у тебя последнее ядро?

Выполни:

apt-get update
apt-cache search linux-image

kostik87 ★★★★★ ()
Ответ на: комментарий от kshmr

это не дебиан. это неосилятор во всей красе. школота начиталась про «хакерский дистрибутив» и заваливает ЛОР тупыми вбросами.

кали - это не рабочий дистрибутив для десктопа. это тестовая сборка для выполнения penetration tests. больше она ни для чего не пригодна.

Iron_Bug ★★★★ ()
Последнее исправление: Iron_Bug (всего исправлений: 1)
Ответ на: комментарий от VitoZ

давай вывод apt list linux* (или apt list kernel, если пусто будет), нужно посмотреть какие ядра есть в репах и какие установлены. Есть еще apt policy linux, но он вроде не показывает установленные пакеты - только версии.

anonymous ()
Ответ на: комментарий от VitoZ
[ ]	kernel-image-4.15.0-kali1-686-di_4.15.4-1kali1_i386.udeb	2018-02-23 10:22 	4.1M	 
[ ]	kernel-image-4.15.0-kali1-686-pae-di_4.15.4-1kali1_i386.udeb	2018-02-23 10:22 	4.2M	 
[ ]	kernel-image-4.15.0-kali1-amd64-di_4.15.4-1kali1_amd64.udeb	2018-02-23 10:21 	5.0M	 
[ ]	kernel-image-4.15.0-kali1-arm64-di_4.15.4-1kali1_arm64.udeb	2018-02-23 10:20 	5.3M	 
[ ]	kernel-image-4.15.0-kali1-armmp-di_4.15.4-1kali1_armhf.udeb	2018-02-23 17:16 	5.0M	 
[ ]	kernel-image-4.15.0-kali2-686-di_4.15.11-1kali1_i386.udeb	2018-03-21 11:20 	4.1M	 
[ ]	kernel-image-4.15.0-kali2-686-pae-di_4.15.11-1kali1_i386.udeb	2018-03-21 11:20 	4.2M	 
[ ]	kernel-image-4.15.0-kali2-amd64-di_4.15.11-1kali1_amd64.udeb	2018-03-21 11:19 	5.0M	 
[ ]	kernel-image-4.15.0-kali2-arm64-di_4.15.11-1kali1_arm64.udeb	2018-03-21 11:25 	5.3M	 
[ ]	kernel-image-4.15.0-kali2-armmp-di_4.15.11-1kali1_armhf.udeb	2018-03-28 22:11 	5.0M	 

http://http.kali.org/kali/pool/main/l/linux/

Поставь последнее ядро и Linux-headers под него.

После чего тему закрой.

Удачи.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87
root@kali:~# apt-cache search linux-image
linux-headers-4.15.0-kali2-amd64 - Header files for Linux 4.15.0-kali2-amd64
linux-headers-4.15.0-kali2-cloud-amd64 - Header files for Linux 4.15.0-kali2-cloud-amd64
linux-image-4.14.0-kali3-amd64 - Linux 4.14 for 64-bit PCs
linux-image-4.14.0-kali3-amd64-dbg - Debug symbols for linux-image-4.14.0-kali3-amd64
linux-image-4.14.0-kali3-rt-amd64 - Linux 4.14 for 64-bit PCs, PREEMPT_RT
linux-image-4.14.0-kali3-rt-amd64-dbg - Debug symbols for linux-image-4.14.0-kali3-rt-amd64
linux-image-4.15.0-kali2-amd64 - Linux 4.15 for 64-bit PCs
linux-image-4.15.0-kali2-amd64-dbg - Debug symbols for linux-image-4.15.0-kali2-amd64
linux-image-4.15.0-kali2-cloud-amd64 - Linux 4.15 for x86-64 cloud
linux-image-4.15.0-kali2-cloud-amd64-dbg - Debug symbols for linux-image-4.15.0-kali2-cloud-amd64
linux-image-amd64 - Linux for 64-bit PCs (meta-package)
linux-image-amd64-dbg - Debugging symbols for Linux amd64 configuration (meta-package)
linux-image-rt-amd64 - Linux for 64-bit PCs (meta-package), PREEMPT_RT
linux-image-rt-amd64-dbg - Debugging symbols for Linux rt-amd64 configuration (meta-package)
VitoZ ()
Ответ на: комментарий от anonymous

даю

root@kali:~# apt list linux*
Listing... Done
linux-base/kali-rolling,now 4.5 all [installed,automatic]
linux-compiler-gcc-7-x86/kali-rolling,now 4.15.11-1kali1 amd64 [installed,automatic]
linux-cpupower/kali-rolling 4.15.11-1kali1 amd64
linux-cpupower-dbgsym/kali-rolling 4.15.11-1kali1 amd64
linux-doc/kali-rolling 4.14+89+kali1 all
linux-doc-4.15/kali-rolling 4.15.11-1kali1 all
linux-exploit-suggester/kali-rolling 0.6-1kali0 all
linux-headers-4.15.0-kali2-all/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-all-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-amd64/kali-rolling,now 4.15.11-1kali1 amd64 [installed]
linux-headers-4.15.0-kali2-cloud-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-headers-4.15.0-kali2-common/kali-rolling,now 4.15.11-1kali1 all [installed,automatic]
linux-headers-amd64/kali-rolling 4.14+89+kali1 amd64
linux-headers-rt-amd64/kali-rolling 4.14+89+kali1 amd64
linux-igd/kali-rolling 1.0+cvs20070630-6 amd64
linux-image-4.14.0-kali3-amd64/kali-rolling,now 4.14.17-1kali1 amd64 [installed,automatic]
linux-image-4.14.0-kali3-amd64-dbg/kali-rolling 4.14.17-1kali1 amd64
linux-image-4.14.0-kali3-rt-amd64/kali-rolling 4.14.17-1kali1 amd64
linux-image-4.14.0-kali3-rt-amd64-dbg/kali-rolling 4.14.17-1kali1 amd64
linux-image-4.15.0-kali2-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-image-4.15.0-kali2-amd64-dbg/kali-rolling 4.15.11-1kali1 amd64
linux-image-4.15.0-kali2-cloud-amd64/kali-rolling 4.15.11-1kali1 amd64
linux-image-4.15.0-kali2-cloud-amd64-dbg/kali-rolling 4.15.11-1kali1 amd64
linux-image-amd64/kali-rolling,now 4.14+89+kali1 amd64 [installed]
linux-image-amd64-dbg/kali-rolling 4.14+89+kali1 amd64
linux-image-rt-amd64/kali-rolling 4.14+89+kali1 amd64
linux-image-rt-amd64-dbg/kali-rolling 4.14+89+kali1 amd64
linux-kbuild-4.15/kali-rolling,now 4.15.11-1kali1 amd64 [installed,automatic]
linux-kbuild-4.15-dbgsym/kali-rolling 4.15.11-1kali1 amd64
linux-libc-dev/kali-rolling,now 4.15.11-1kali1 amd64 [installed,automatic]
linux-libc-dev-alpha-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-arm64-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-armel-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-armhf-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-hppa-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-m68k-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mips-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-mips64-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mips64el-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-mips64r6-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mips64r6el-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsel-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-mipsn32-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsn32el-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsn32r6-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsn32r6el-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsr6-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-mipsr6el-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-powerpc-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-powerpcspe-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-ppc64-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-ppc64el-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-riscv64-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-s390x-cross/kali-rolling 4.15.4-1cross1 all
linux-libc-dev-sh4-cross/kali-rolling 4.15.4-1cross2 all
linux-libc-dev-sparc64-cross/kali-rolling 4.15.4-1cross2 all
linux-patch-debianlogo/kali-rolling 1.16 all
linux-patch-grsecurity2/kali-rolling 3.1+4.9.11-201702181444-1 all
linux-perf/kali-rolling 4.14+89+kali1 all
linux-perf-4.14/kali-rolling 4.14.17-1kali1 amd64
linux-perf-4.15/kali-rolling 4.15.11-1kali1 amd64
linux-perf-4.15-dbgsym/kali-rolling 4.15.11-1kali1 amd64
linux-show-player/kali-rolling 0.5-1 all
linux-source/kali-rolling 4.14+89+kali1 all
linux-source-4.15/kali-rolling 4.15.11-1kali1 all
linux-support-4.15.0-kali2/kali-rolling 4.15.11-1kali1 all
linux-user-chroot/kali-rolling 2013.1-2+b1 amd64
linux-user-chroot-dbg/kali-rolling 2013.1-2+b1 amd64
linuxdoc-tools/kali-rolling 0.9.72-4 amd64
linuxdoc-tools-info/kali-rolling 0.9.72-4 all
linuxdoc-tools-latex/kali-rolling 0.9.72-4 all
linuxdoc-tools-text/kali-rolling 0.9.72-4 all
linuxinfo/kali-rolling 2.4.4-1 amd64
linuxlogo/kali-rolling 5.11-9+b1 amd64
linuxptp/kali-rolling 1.8-1 amd64
linuxvnc/kali-rolling 0.9.10-2+b1 amd64

VitoZ ()
Ответ на: комментарий от kostik87

Как определил что последнее ядро!? А вот команда

root@kali:~# uname -a
Linux kali 4.14.0-kali3-amd64 #1 SMP Debian 4.14.17-1kali1 (2018-02-16) x86_64 GNU/Linux

VitoZ ()
Ответ на: комментарий от Iron_Bug

кали - это не рабочий дистрибутив для десктопа. это тестовая сборка для выполнения penetration tests. больше она ни для чего не пригодна.

Мы знаем бабуль, мы знаем. Я «школота-веб разработчик», делаю сайтики. Нужно протестировать форму входа на сайт. Клиент хочет надежную форму. Вот и стараюсь.

VitoZ ()
Ответ на: комментарий от kostik87

нашел и скачал подходящую версию. Но что то не получается установить. Пробовал так:

root@kali:~/Downloads# sudo dpkg -i *.udeb
(Reading database ... 356907 files and directories currently installed.)
Preparing to unpack kernel-image-4.15.0-kali1-amd64-di_4.15.4-1kali1_amd64.udeb ...
Unpacking kernel-image-4.15.0-kali1-amd64-di (4.15.4-1kali1) over (4.15.4-1kali1) ...
Setting up kernel-image-4.15.0-kali1-amd64-di (4.15.4-1kali1) ...
Обновлял grub. После перезагрузки ядро не обновилось. И вот так:
root@kali:~/Downloads# sudo gdebi kernel-image-4.15.0-kali1-amd64-di_4.15.4-1kali1_amd64.udeb 
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Reading state information... Done

Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.
Do you want to install the software package? [y/N]:y
(Reading database ... 356907 files and directories currently installed.)
Preparing to unpack kernel-image-4.15.0-kali1-amd64-di_4.15.4-1kali1_amd64.udeb ...
Unpacking kernel-image-4.15.0-kali1-amd64-di (4.15.4-1kali1) over (4.15.4-1kali1) ...
Setting up kernel-image-4.15.0-kali1-amd64-di (4.15.4-1kali1) ...
Ошибок вроде нет но результат тот же. Не обновилось.
root@kali:~/Downloads# uname -r
4.14.0-kali3-amd64

VitoZ ()
Ответ на: комментарий от kostik87

И вот так пробовал:

root@kali:~# apt-get install linux-image-4.15.0-kali2-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
linux-image-4.15.0-kali2-amd64 is already the newest version (4.15.11-1kali1).
The following packages were automatically installed and are no longer required:
  libapache2-mod-php7.0 libproxychains3 php7.0
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Вроде установлена но в grub записи нет.

VitoZ ()
Ответ на: комментарий от VitoZ

РЕШЕНО

Получилось. Забыл что у меня grub от Fedora 27 стоит. (Вторая система на ноуте). После его обновления все ядра нашлись. Итог. Что мы имеем:

root@kali:~# uname -r
4.15.0-kali2-amd64

root@kali:~# dpkg-query -s linux-headers-$(uname -r)
Package: linux-headers-4.15.0-kali2-amd64
Status: install ok installed
Priority: optional
Section: kernel
Installed-Size: 4373
Maintainer: Kali Developers <devel@kali.org>
Architecture: amd64
Source: linux
Version: 4.15.11-1kali1
Depends: linux-headers-4.15.0-kali2-common (= 4.15.11-1kali1), linux-kbuild-4.15, linux-compiler-gcc-7-x86 (>= 4.14.17-1~)
Description: Header files for Linux 4.15.0-kali2-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.15.0-kali2-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.15.0-kali2-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.15.0-kali2-amd64 package.
Homepage: https://www.kernel.org/
Чтобы я без вас делал, друзья!? Всем огромное спасибо!
Ну а мы продолжим...

VitoZ ()
Ответ на: комментарий от VitoZ

веб разработчик

Который не может ядро поставить, не верю. Да и зачем вообще этот дистр. устанавливать, записал на флешку. И все на куй он больше не сдался.

anonymous ()
Ответ на: комментарий от VitoZ

Я тебе в этом сообщении: проблема с linux-headers (комментарий)

Привёл список пактов я ядром в репозитории Kali, в котором ясно видно, что последнее ядро в нём «kernel-image-4.15.0-kali2-amd64-di_4.15.11-1kali1_amd64.udeb»

нашел и скачал подходящую версию. Но что то не получается установить. Пробовал так:

Зачем?

Всё надо ставить из репозитория

apt-get install kernel-image-4.15.0-kali2-amd64

И вот так пробовал:

Вот так и надо было делать с самого начала.

Забыл что у меня grub от Fedora 27 стоит

Это уже твои проблемы, что ты не указали данные в теме.

А так, тебе сразу я написал, что у тебя стоит не последнее ядро, значит нужно поискать по репозиторию и поставить, а не плодить кучу ненужной информации в теме.

В Debian пакет с ядром называется kernel-image, а не linux-image, тут я ошибся, но ты должен и самостоятельно пытаться найти информацию и разобраться как делать поиск по репозиторию и как называются пакеты с ядром.

Пожалуйста, используй голову не только для ношения шапки, а по прямому назначению.

Удачи.

kostik87 ★★★★★ ()
Ответ на: комментарий от VitoZ

внучек, дык на какого фейхоа тебе видеодрайверы для этого, ась? тем более самосборные.

веб - это веб. не лезь ты к системе ради макаронного монстра.

Iron_Bug ★★★★ ()
Последнее исправление: Iron_Bug (всего исправлений: 1)
Ответ на: комментарий от Iron_Bug

внучек, дык на какого фейхоа тебе видеодрайверы для этого, ась? тем более самосборные.

Вот, бабушка, хаять хаем Kali, а в системе на разбираемся. Это типа как - Пастернака не читал но осуждаю! Видеодрайвера нужны для работы 3D-ускорения и поддержки таких инструментов как Hashcat, например. Хочу попробовать брутфорса атаку не только ресурсами процессора но и видеокарту подключить к перебору. Скорость больше а значит быстрее подборо пойдет.

VitoZ ()
Ответ на: комментарий от kostik87

Понял, обязательно учту критику. Она имеет место быть. Новичек в Linux. Чуть больше месяца сижу. Пока опыта мало вот и обращаюсь к более знающим.
Так что не суди строго bro

VitoZ ()
Ответ на: комментарий от anonymous

Вот, бабушка, хаять хаем Kali, а в системе на разбираемся. Это типа как - Пастернака не читал но осуждаю! Видеодрайвера нужны для работы 3D-ускорения и поддержки таких инструментов как Hashcat, например. Хочу попробовать брутфорса атаку не только ресурсами процессора но и видеокарту подключить к перебору. Скорость больше а значит быстрее подборо пойдет.

VitoZ ()
Ответ на: комментарий от VitoZ

понятно. то есть, ламерство ещё и в вебе. если на вашем сайтике ещё и брутфорс возможен - поздравляю. ладно, проехали. мне скучна пионерия.

Iron_Bug ★★★★ ()
Ответ на: комментарий от Iron_Bug

мы все уже поняли что ты очень важна и авторитетна. Жаль только пользы от твоих коментов не много. «100 лет в программировании» и важности полные трусы которую нужно всем показать обязательно. Так и помрешь со своими «знаниями» глобальными)

VitoZ ()
Ответ на: комментарий от VitoZ

каков вопрос - таков ответ. как-то так. тут часто пионерия вопрошает вещи, которые гуглятся за пять минут. так вот: пусть учатся гуглить.

Iron_Bug ★★★★ ()
Ответ на: комментарий от Iron_Bug

дело не в гуглить. Иногда хочется подстраховаться и спросить у более опытных. Мне лично так надежнее. Может что и дополнительно подскажут. А вот на вас я смотрю и думаю, заняться женщине не чем чтоли. Я как бы у вас лично ничего и не спрашивал. Не нравится вопрос ну пройди мимо в чем проблема то? P.s. Ничего скоро ягоды пойдут варенья наварите. Будет чем заняться помимо вязания и бурчания на «пионерию» всякую недостойную :)

VitoZ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.